# FingerJointType

| Name      | Index | Description                                       |
| --------- | ----- | ------------------------------------------------- |
| Root      | 0     | The root of the hand.                             |
| ThumbCMC  | 1     | The thumb carpometacarpal joint.                  |
| ThumbMCP  | 2     | The thumb metacarpophalangeal joint.              |
| ThumbIP   | 3     | The thumb interphalangeal joint.                  |
| ThumbTip  | 4     | The thumb tip joint.                              |
| IndexMCP  | 5     | The index finger metacarpophalangeal joint.       |
| IndexPIP  | 6     | The index finger proximal interphalangeal joint.  |
| IndexDIP  | 7     | The index finger distal interphalangeal joint.    |
| IndexTip  | 8     | The index finger tip joint.                       |
| MiddleMCP | 9     | The middle finger metacarpophalangeal joint.      |
| MiddlePIP | 10    | The middle finger proximal interphalangeal joint. |
| MiddleDIP | 11    | The middle finger distal interphalangeal joint.   |
| MiddleTip | 12    | The middle finger tip joint.                      |
| RingMCP   | 13    | The ring finger metacarpophalangeal joint.        |
| RingPIP   | 14    | The ring finger proximal interphalangeal joint.   |
| RingDIP   | 15    | The ring finger distal interphalangeal joint.     |
| RingTip   | 16    | The ring finger tip joint.                        |
| PinkyMCP  | 17    | The pinky finger metacarpophalangeal joint.       |
| PinkyPIP  | 18    | The pinky finger proximal interphalangeal joint.  |
| PinkyDIP  | 19    | The pinky finger distal interphalangeal joint.    |
| PinkyTip  | 20    | The pinky finger tip joint.                       |
| Palm      | 21    | The middle of the palm.                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/fingerjointtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
